public class Customer extends Thread {
    Semaphore mySemaphore;
    Service myService;
    int myId;
    int myToken;
    public Customer(Semaphore theSemaphore,
		    Service theService,
		    int counter) {
	mySemaphore = theSemaphore;
	myService = theService;
	myId = counter;
    }
    public void run() {
	System.out.println("Customer " + myId + " walks in.");
	if (mySemaphore.Signal()) {
	    myToken = myService.Wait();
	    System.out.println("Serviced customer " + myId + " walks out.");
	}
	else {
	    System.out.println("Customer " + myId + " leaves unserviced.");
	}
    }
}
