with System;
with Customers;

package Customer is

   --  task intances of this type will have
   --+ a numeric identity and a specific priority
   task type Customer_T (My_Id : Customers.Counter_T;
                         My_Priority : System.Priority) is
      pragma Priority (My_Priority);
   end Customer_T;
   --  we need an access value to this type
   --+ to allow dynamic creation
   type Customer_Ref is access Customer_T;

end Customer;
